# $Revision: 1.19.2.4 $, $Date: 2003/03/13 00:56:44 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-RSA
Summary:	Crypt::OpenSSL::RSA - RSA encoding and decoding, using the OpenSSL libraries
Summary(pl):	Crypt::OpenSSL::RSA - kodowanie i dekodowanie RSA przy uyciu OpenSSL
Name:		perl-Crypt-OpenSSL-RSA
Version:	0.18
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Crypt-OpenSSL-Random
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key.  It also allows for
decryption, signatures and signature verification.

%description -l pl
Modu Crypt::OpenSSL::RSA udostpnia moliwo kodowania algorytmem
RSA acuchw, ktre s krtsze ni rozmiar bloku klucza. Pozwala
take na odszyfrowywanie oraz weryfikacj podpisw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Crypt/OpenSSL/RSA.pm
%dir %{perl_sitearch}/auto/Crypt/OpenSSL/RSA
%{perl_sitearch}/auto/Crypt/OpenSSL/RSA/*.al
%{perl_sitearch}/auto/Crypt/OpenSSL/RSA/*.bs
%{perl_sitearch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/OpenSSL/RSA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OpenSSL-RSA.spec,v $
Revision 1.19.2.4  2003/03/13 00:56:44  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.19.2.3  2003/03/12 22:35:53  ankry
- BR: openssl-devel >= 0.9.6i

Revision 1.19.2.2  2003/03/06 16:50:02  ankry
- autoupdated to 0.18

Revision 1.19.2.1  2003/02/28 14:08:06  ankry
- do not require openssl 0.9.7

Revision 1.19  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:29:22  ankry
- massive attack: change CPAN URLs

Revision 1.17  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.16  2003/02/05 16:17:39  ankry
- autoupdated to 0.17

Revision 1.15  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.14  2002/08/11 18:12:17  radek
- conditional tests

Revision 1.13  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.12  2002/07/20 10:18:14  qboosh
- added OPTIMIZE and BR: perl-Crypt-OpenSSL-Random

Revision 1.11  2002/07/19 23:12:37  ankry
- version 0.16, release 1
- moved */Crypt/OpenSSL dirs to perl
- restore autosplit.ix

Revision 1.10  2002/07/19 21:11:31  ankry
- translations, cleaning
- removed *.ix, fixed permissions
- release 2

Revision 1.9  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 07:58:12  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/03/08 01:49:05  kloczek
- s/perl/perl-devel/ in BuildRequires,
- use %%{perl_sitearch} macro in files,
- updated %%files,
- added openssl-devel to BuildRequires.

Revision 1.4  2002/03/07 22:00:29  grzegorz
- grrrr!!! kloczek check before bumping rel to 1
- reverting almost all kloczek changes

Revision 1.3  2002/03/07 18:41:41  kloczek
- fixed %%files and cosmetics.

Revision 1.2  2002/03/07 14:11:39  grzegorz
- adapterized
